| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | List of all members
PreStackView::uiViewer3DMgr Class Reference

`#include <uipsviewermanager.h>`

Inheritance diagram for PreStackView::uiViewer3DMgr:
[legend]

## Public Member Functions
| uiViewer3DMgr ()
| ~uiViewer3DMgr ()
ObjectSet< visSurvey::PreStackDisplay > | get3DViewers ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static const char * | sKey2DViewers ()
static const char * | sKeyBinID ()
static const char * | sKeyFlatviewPars ()
static const char * | sKeyIsVolumeData ()
static const char * | sKeyLineName ()
static const char * | sKeyMultiID ()
static const char * | sKeyNrWindows ()
static const char * | sKeyTraceNr ()
static const char * | sKeyViewerPrefix ()
static const char * | sSettings3DKey ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | add3DViewer (const uiMenuHandler *, const SceneID &, int mnuidx)
uiMainWin * | create2DViewer (const uiString &, const DataPackID &)
uiMainWin * | create2DViewer (const uiString &, const PreStack::Gather &)
void | createMenuCB (CallBacker *)
uiMainWin * | createMultiGather2DViewer (const visSurvey::PreStackDisplay &)
SceneID | getSceneID (const VisID &) const
const uiFlatViewer * | getViewer (int idx) const
void | handleMenuCB (CallBacker *)
uiViewer3DPositionDlg * | mkNewPosDialog (const uiMenuHandler *, visSurvey::PreStackDisplay &)
void | removeAllCB (CallBacker *)
void | removeViewWin (const DataPackID &)
void | removeViewWin (const PreStack::Gather &)
void | sceneChangeCB (CallBacker *)
void | sessionRestoreCB (CallBacker *)
void | sessionSaveCB (CallBacker *)
void | surveyToBeChangedCB (CallBacker *)
void | viewer2DClosedCB (CallBacker *)
void | viewer2DSelDataCB (CallBacker *)

## Static Protected Member Functions
static void | getSeis2DTitle (int trnr, const char *, uiString &)
static void | getSeis3DTitle (const BinID &, const char *, uiString &)

## Protected Attributes
MenuItem | amplspectrumitem_
ObjectSet< uiViewer3DPositionDlg > | posdialogs_
MenuItem | positionmenuitem_
MenuItem | proptymenuitem_
MenuItem | removemenuitem_
MenuItem | resolutionmenuitem_
MenuItem | selectpsdatamenuitem_
MenuItem | selectpsvwr2ddatamenuitem_
RefMan< PreStack::GatherSetDataPack > | sessiongathers_
ObjectSet< uiViewer3DSettingDlg > | settingdlgs_
MenuItem | viewermenuitem_
ObjectSet< uiMainWin > | viewers2d_
RefObjectSet< visSurvey::PreStackDisplay > | viewers3d_
uiVisPartServer * | visserv_

## Detailed Description

Manages prestack data displays in 2D (panel) and 3D (visualization). The data itself can be from either lines or volumes.

<>

## Constructor & Destructor Documentation

## ◆ uiViewer3DMgr()

PreStackView::uiViewer3DMgr::uiViewer3DMgr | ( |  | ) |

## ◆ ~uiViewer3DMgr()

PreStackView::uiViewer3DMgr::~uiViewer3DMgr | ( |  | ) |

## Member Function Documentation

## ◆ add3DViewer()

bool PreStackView::uiViewer3DMgr::add3DViewer | ( | const uiMenuHandler * | ,
|  | const SceneID & | ,
|  | int | mnuidx )
| protected

## ◆ create2DViewer() [1/2]

uiMainWin * PreStackView::uiViewer3DMgr::create2DViewer | ( | const uiString & | ,
|  | const DataPackID & | )
| protected

## ◆ create2DViewer() [2/2]

uiMainWin * PreStackView::uiViewer3DMgr::create2DViewer | ( | const uiString & | ,
|  | const PreStack::Gather & | )
| protected

## ◆ createMenuCB()

void PreStackView::uiViewer3DMgr::createMenuCB | ( | CallBacker * |  | ) |
| protected

## ◆ createMultiGather2DViewer()

uiMainWin * PreStackView::uiViewer3DMgr::createMultiGather2DViewer | ( | const visSurvey::PreStackDisplay & |  | ) |
| protected

## ◆ get3DViewers()

ObjectSet< visSurvey::PreStackDisplay > PreStackView::uiViewer3DMgr::get3DViewers | ( |  | ) |
| inline

## ◆ getSceneID()

SceneID PreStackView::uiViewer3DMgr::getSceneID | ( | const VisID & |  | ) | const
| protected

## ◆ getSeis2DTitle()

static void PreStackView::uiViewer3DMgr::getSeis2DTitle | ( | int | trnr,
|  | const char * | ,
|  | uiString & | )
| static protected

## ◆ getSeis3DTitle()

static void PreStackView::uiViewer3DMgr::getSeis3DTitle | ( | const BinID & | ,
|  | const char * | ,
|  | uiString & | )
| static protected

## ◆ getViewer()

const uiFlatViewer * PreStackView::uiViewer3DMgr::getViewer | ( | int | idx | ) | const
| protected

## ◆ handleMenuCB()

void PreStackView::uiViewer3DMgr::handleMenuCB | ( | CallBacker * |  | ) |
| protected

## ◆ mkNewPosDialog()

uiViewer3DPositionDlg * PreStackView::uiViewer3DMgr::mkNewPosDialog | ( | const uiMenuHandler * | ,
|  | visSurvey::PreStackDisplay & | )
| protected

## ◆ removeAllCB()

void PreStackView::uiViewer3DMgr::removeAllCB | ( | CallBacker * |  | ) |
| protected

## ◆ removeViewWin() [1/2]

void PreStackView::uiViewer3DMgr::removeViewWin | ( | const DataPackID & |  | ) |
| protected

## ◆ removeViewWin() [2/2]

void PreStackView::uiViewer3DMgr::removeViewWin | ( | const PreStack::Gather & |  | ) |
| protected

## ◆ sceneChangeCB()

void PreStackView::uiViewer3DMgr::sceneChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ sessionRestoreCB()

void PreStackView::uiViewer3DMgr::sessionRestoreCB | ( | CallBacker * |  | ) |
| protected

## ◆ sessionSaveCB()

void PreStackView::uiViewer3DMgr::sessionSaveCB | ( | CallBacker * |  | ) |
| protected

## ◆ sKey2DViewers()

static const char * PreStackView::uiViewer3DMgr::sKey2DViewers | ( |  | ) |
| inline static

## ◆ sKeyBinID()

static const char * PreStackView::uiViewer3DMgr::sKeyBinID | ( |  | ) |
| inline static

## ◆ sKeyFlatviewPars()

static const char * PreStackView::uiViewer3DMgr::sKeyFlatviewPars | ( |  | ) |
| inline static

## ◆ sKeyIsVolumeData()

static const char * PreStackView::uiViewer3DMgr::sKeyIsVolumeData | ( |  | ) |
| inline static

## ◆ sKeyLineName()

static const char * PreStackView::uiViewer3DMgr::sKeyLineName | ( |  | ) |
| inline static

## ◆ sKeyMultiID()

static const char * PreStackView::uiViewer3DMgr::sKeyMultiID | ( |  | ) |
| inline static

## ◆ sKeyNrWindows()

static const char * PreStackView::uiViewer3DMgr::sKeyNrWindows | ( |  | ) |
| inline static

## ◆ sKeyTraceNr()

static const char * PreStackView::uiViewer3DMgr::sKeyTraceNr | ( |  | ) |
| inline static

## ◆ sKeyViewerPrefix()

static const char * PreStackView::uiViewer3DMgr::sKeyViewerPrefix | ( |  | ) |
| inline static

## ◆ sSettings3DKey()

static const char * PreStackView::uiViewer3DMgr::sSettings3DKey | ( |  | ) |
| inline static

## ◆ surveyToBeChangedCB()

void PreStackView::uiViewer3DMgr::surveyToBeChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ viewer2DClosedCB()

void PreStackView::uiViewer3DMgr::viewer2DClosedCB | ( | CallBacker * |  | ) |
| protected

## ◆ viewer2DSelDataCB()

void PreStackView::uiViewer3DMgr::viewer2DSelDataCB | ( | CallBacker * |  | ) |
| protected

## Member Data Documentation

## ◆ amplspectrumitem_

MenuItem PreStackView::uiViewer3DMgr::amplspectrumitem_
| protected

## ◆ posdialogs_

ObjectSet<uiViewer3DPositionDlg> PreStackView::uiViewer3DMgr::posdialogs_
| protected

## ◆ positionmenuitem_

MenuItem PreStackView::uiViewer3DMgr::positionmenuitem_
| protected

## ◆ proptymenuitem_

MenuItem PreStackView::uiViewer3DMgr::proptymenuitem_
| protected

## ◆ removemenuitem_

MenuItem PreStackView::uiViewer3DMgr::removemenuitem_
| protected

## ◆ resolutionmenuitem_

MenuItem PreStackView::uiViewer3DMgr::resolutionmenuitem_
| protected

## ◆ selectpsdatamenuitem_

MenuItem PreStackView::uiViewer3DMgr::selectpsdatamenuitem_
| protected

## ◆ selectpsvwr2ddatamenuitem_

MenuItem PreStackView::uiViewer3DMgr::selectpsvwr2ddatamenuitem_
| protected

## ◆ sessiongathers_

RefMan<PreStack::GatherSetDataPack> PreStackView::uiViewer3DMgr::sessiongathers_
| protected

## ◆ settingdlgs_

ObjectSet<uiViewer3DSettingDlg> PreStackView::uiViewer3DMgr::settingdlgs_
| protected

## ◆ viewermenuitem_

MenuItem PreStackView::uiViewer3DMgr::viewermenuitem_
| protected

## ◆ viewers2d_

ObjectSet<uiMainWin> PreStackView::uiViewer3DMgr::viewers2d_
| protected

## ◆ viewers3d_

RefObjectSet<visSurvey::PreStackDisplay> PreStackView::uiViewer3DMgr::viewers3d_
| protected

## ◆ visserv_

uiVisPartServer* PreStackView::uiViewer3DMgr::visserv_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025